import request from '@/utils/request'

// 查询价格处罚信息列表
export function listPenalty(query) {
    return request({
        url: '/crmPricePenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询价格处罚信息详细
export function getPenalty(id) {
    return request({
        url: '/crmPricePenalty/' + id,
        method: 'get'
    })
}

// 新增价格处罚信息
export function addPenalty(data) {
    return request({
        url: '/crmPricePenalty',
        method: 'post',
        data: data
    })
}

// 修改价格处罚信息
export function updatePenalty(data) {
    return request({
        url: '/crmPricePenalty',
        method: 'put',
        data: data
    })
}

// 删除价格处罚信息
export function delPenalty(id) {
    return request({
        url: '/crmPricePenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmPricePenalty/delete',ids)
}